#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
int main() {
    int n;
    cin>>n;
    vector<int> a(n),b(n);
    for(int i=0; i<n; i++) {
        cin>>a[i];
    }
    for(int i=0; i<n; i++){
        cin>>b[i];
    }
    vector<int> prefxorCota(n+1,0);
    for (int i=0; i<n; i++){
        prefxorCota[i+1]=prefxorCota[i]^a[i];
    }
    int zatrenand;
    int zatren;
    int zatrenxor;
    int maskbato=0;
    for(int l=0; l<n; l++){
        zatrenand=~0;
        for(int r=l; r<n; r++){
            zatrenand=zatrenand&b[r];  
            if(zatrenand==0){
                break;
            }
            zatrenxor=prefxorCota[r+1]^prefxorCota[l];
            zatren=zatrenxor*zatrenand;
            maskbato=max(maskbato,zatren);
        }
    }
    cout<<maskbato;
    return 0;
}